summaryrefslogtreecommitdiffstats
path: root/initscript/Debian/avahi-dnsconfd.in
diff options
context:
space:
mode:
authorTrent Lloyd <lathiat@bur.st>2005-08-23 08:39:01 +0000
committerTrent Lloyd <lathiat@bur.st>2005-08-23 08:39:01 +0000
commit78c4d691610a48ac2c2f12172ae24c3d096b415e (patch)
tree0b4fe6e65faf814f8214176fac1dd5744a57ade5 /initscript/Debian/avahi-dnsconfd.in
parentda5014cb5f3d06271ae79dc28354a03c7392cf0f (diff)
* generate initscript/archlinux/Makefile
* Fix archlinux CFLAG err, fix. * Rename the initscript dirs to all lowercase. git-svn-id: file:///home/lennart/svn/public/avahi/trunk@407 941a03a8-eaeb-0310-b9a0-b1bbd8fe43fe
Diffstat (limited to 'initscript/Debian/avahi-dnsconfd.in')
-rwxr-xr-xinitscript/Debian/avahi-dnsconfd.in141
1 files changed, 0 insertions, 141 deletions
diff --git a/initscript/Debian/avahi-dnsconfd.in b/initscript/Debian/avahi-dnsconfd.in
deleted file mode 100755
index 075d62c..0000000
--- a/initscript/Debian/avahi-dnsconfd.in
+++ /dev/null
@@ -1,141 +0,0 @@
-#!/bin/sh
-
-# $Id$
-
-# This file is part of avahi.
-#
-# avahi is free software; you can redistribute it and/or modify it
-# under the terms of the GNU Lesser General Public License as
-# published by the Free Software Foundation; either version 2 of the
-# License, or (at your option) any later version.
-#
-# avahi is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
-# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
-# License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public
-# License along with avahi; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
-# USA.
-
-#
-# avahi-dnsconfd avahi dns configuration daemon
-# Daemon for ZeroConf
-#
-# Authors: <sebastien.estienne@gmail.com>
-#
-
-if [ -f /lib/lsb/init-functions ]
-then
- . /lib/lsb/init-functions
-else
- # int log_begin_message (char *message)
- log_begin_msg () {
- if [ -z "$1" ]; then
- return 1
- fi
- echo " * $@"
- }
-
- # int log_end_message (int exitstatus)
- log_end_msg () {
-
- # If no arguments were passed, return
- [ -z "$1" ] && return 1
-
- # Only do the fancy stuff if we have an appropriate terminal
- # and if /usr is already mounted
- TPUT=/usr/bin/tput
- EXPR=/usr/bin/expr
- if [ -x $TPUT ] && [ -x $EXPR ] && $TPUT hpa 60 >/dev/null 2>&1; then
- COLS=`$TPUT cols`
- if [ -n "$COLS" ]; then
- COL=`$EXPR $COLS - 7`
- else
- COL=73
- fi
- UP=`$TPUT cuu1`
- END=`$TPUT hpa $COL`
- START=`$TPUT hpa 0`
- RED=`$TPUT setaf 1`
- NORMAL=`$TPUT op`
- if [ $1 -eq 0 ]; then
- echo "$UP$END[ ok ]"
- else
- echo -e "$UP$START $RED*$NORMAL$END[${RED}fail${NORMAL}]"
- fi
- else
- if [ $1 -eq 0 ]; then
- echo " ...done."
- else
- echo " ...fail!"
- fi
- fi
- return $1
- }
-
-fi
-
-#set -e
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-DESC="Avahi Unicast DNS Configuration Daemon"
-NAME="avahi-dnsconfd"
-DAEMON="@sbindir@/$NAME"
-
-# Gracefully exit if the package has been removed.
-test -x $DAEMON || exit 0
-
-#
-# Function that starts the daemon/service.
-#
-d_start() {
- $DAEMON -D
-}
-
-#
-# Function that stops the daemon/service.
-#
-d_stop() {
- $DAEMON -k || /bin/true
-}
-
-#
-# Function that reload the config file for the daemon/service.
-#
-d_refresh() {
- $DAEMON -r
-}
-
-
-case "$1" in
- start)
- log_begin_msg "Starting $DESC: $NAME"
- d_start
- log_end_msg $?
- ;;
- stop)
- log_begin_msg "Stopping $DESC: $NAME"
- d_stop
- log_end_msg $?
- ;;
- refresh)
- log_begin_msg "Refreshing $DESC: $NAME"
- d_refresh
- log_end_msg $?
- ;;
- reload|restart|force-reload)
- log_begin_msg "Restarting $DESC: $NAME"
- d_stop
- sleep 1
- d_start
- log_end_msg $?
- ;;
- *)
- echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|reload}" >&2
- exit 1
- ;;
-esac
-
-exit 0